CueFrame

Initiate a media upload (presigned URL)

Required permission: media:write

POST
/v1/media

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

POST /media upload initiation body.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/media" \  -H "Content-Type: application/json" \  -d '{    "filename": "string",    "contentType": "video/mp4",    "size": 1  }'
{  "id": "string",  "upload": {    "method": "S3_MULTIPART",    "endpoint": "http://example.com",    "token": "string",    "initPath": "/s3/multipart",    "partPath": "/s3/multipart/{uploadId}/{partNumber}",    "completePath": "/s3/multipart/{uploadId}/complete",    "abortPath": "/s3/multipart/{uploadId}",    "expiresAt": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}